## torbrowser-launcher 0.1.2

=== requirements.txt ===
Parsley==1.2
txsocksx==1.13.0.1

=== debian/changelog ===
torbrowser-launcher (0.1.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #754281, #753413, #755682)
  * Drop patch intrigeri_gh92-rework-AppArmor-profiles.patch.
  * Drop patch fix_typo_in_ppa_script.patch.
  * debian/control:
    - add tor to depends.
    - update Vcs-URLs to new git repo location in collab-maint.
  * Add debian/examples to show how to run torbrowser-launcher, confined with
    AppArmor, in Xephyr as another user. Read the README!
  * Fix DEP5 syntax error in debian/copyright, thanks Lintian.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Aug 2014 00:42:59 +0200

torbrowser-launcher (0.1.1-2) unstable; urgency=medium

  * debian/rules: call dh_apparmor for each shipped profile.
    (Closes: #755817)
  * Include e8350a1c4 from upstream to fix typo in ppa script.
  * Cleanup AppArmor profiles as per not yet merged pull request 
    https://github.com/micahflee/torbrowser-launcher/pull/111
    Thanks intrigeri for the patch! (Closes: #751453).

 -- Holger Levsen <holger@debian.org>  Sat, 26 Jul 2014 17:15:04 +0200

torbrowser-launcher (0.1.1-1) unstable; urgency=low

    * Adopt the package under the umbrella of the Debian Anonymity Tools Team.
    * New upstream version.
    * debian/control:
        * Add Jacob Appelbaum, Holger Levsen and myself to Uploaders.
        * Adding Vcs-Browser now pointing to upstream debian/ branch.
        * restricting Architecture to i386 and amd64 (Closes: #752240)
        * Build dependency dh-apparmor added.
        * python-pygame dependency is now optional
        * added versions to dependencies python-parsley and python-txsocksx
    * debian/rules:
        * use dh_apparmor (Closes: #751449)

 --  Ulrike Uhlig <u@451f.org>  Tue, 22 Jul 2014 11:54:57 +0200

torbrowser-launcher (0.1.0-1.2) unstable; urgency=low

  [ Ulrike Uhlig ]
    * Non-maintainer upload in coordination with maintainer.
    * debian/control:
      - Deleted problematic Vcs-Git and Vcs-Browser information.

 --  Ulrike Uhlig <u@451f.org>  Sun, 06 Jul 2014 16:00:51 +0200

torbrowser-launcher (0.1.0-1.1) unstable; urgency=low

  [ Ulrike Uhlig ]
  * Non-maintainer upload in coordination with maintainer.
  * New upstream version. (Closes: #751284)
  * debian/control:
    - Added homepage, Vcs-Git and Vcs-Browser information.
    - Move to contrib (Closes: #751366)
    - Suggests: apparmor (Closes: #751452)
    - Deleted depencies: apparmor-utils, apparmor-profiles, debhelper
    - debhelper Build-dependency downgraded from >9.20140228 to >7.4.3
      (Closes: #751773)
  * debian/watch added

 --  Ulrike Uhlig <u@451f.org>  Fri, 20 Jun 2014 07:27:25 +0200

torbrowser-launcher (0.0.7-1) unstable; urgency=low

  * Initial release. (Closes: #705177)

 -- Jacob Appelbaum <jacob@appelbaum.net>  Tue, 11 Mar 2014 18:54:47 +0000

=== debian/control ===
Source: torbrowser-launcher
Maintainer: Anonymity Tools Debian Maintainers <pkg-anonymity-tools@lists.alioth.debian.org>
Uploaders: Jacob Appelbaum <jacob@appelbaum.net>,
 Ulrike Uhlig <u@451f.org>,
 Holger Levsen <holger@debian.org>
Section: contrib/python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 7.4.3), dh-apparmor
Standards-Version: 3.9.5
Homepage: https://micahflee.com/torbrowser-launcher/
Vcs-Git: git://anonscm.debian.org/collab-maint/torbrowser-launcher.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/torbrowser-launcher.git

Package: torbrowser-launcher
Architecture: i386 amd64
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2, python-psutil, python-twisted, python-lzma, gnupg, wmctrl, python-txsocksx (>= 1.13.0.1), python-parsley (>= 1.2), tor
Suggests: apparmor, python-pygame
Description: helps download, update and run the Tor Browser Bundle
 Tor Browser Launcher is intended to make the Tor Browser Bundle (TBB) easier
 to maintain and use for GNU/Linux users. torbrowser-launcher handles
 downloading the most recent version of TBB for you, in your language and for
 your architecture. It also adds a "Tor Browser" application launcher to your
 operating system's menu.
 .
 When you first launch Tor Browser Launcher, it will download TBB from
 https://www.torproject.org/ and extract it in ~/.torbrowser, and then execute
 it. Each subsequent execution after installation will simply launch the most
 recent TBB.  Tor Browser will be fetched, verified and unpacked each time a new
 version of TBB is released. When you open Tor Browser Launcher after an update,
 it will download the newer version of TBB for you and extract it over your old
 TBB directory in ~/.torbrowser, so you will maintain your TBB bookmarks.
 .

## torbrowser-launcher 0.1.7

=== debian/changelog ===
torbrowser-launcher (0.1.7-1) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * New upstream version.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Dec 2014 23:46:10 +0100

torbrowser-launcher (0.1.6-1) unstable; urgency=medium

  * New upstream version. (Closes: #766302)
  * debian/copyright:
    * upstream marked license as being MIT.
    * upstream extended copyright to 2014.

 -- Ulrike Uhlig <u@451f.org>  Sun, 26 Oct 2014 15:23:58 +0100

torbrowser-launcher (0.1.5-2) unstable; urgency=medium

  * Add lsb-release to build-depends.
  * Bump standards version to 3.9.6.
  * Switch Vcs-Browser: to cgit URL.

 -- Holger Levsen <holger@debian.org>  Sat, 18 Oct 2014 21:54:31 +0200

torbrowser-launcher (0.1.5-1) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * New upstream version. (Closes: #763739)
    - no longer detach application (Closes: #756901)
  * Delete apparmor patches which were fixed upstream.

  [ Holger Levsen ]
  * Force usage of python 2.7.

 -- Ulrike Uhlig <u@451f.org>  Thu, 02 Oct 2014 18:59:37 +0200

torbrowser-launcher (0.1.4-2) unstable; urgency=medium

  * Team upload.

  [ Holger Levsen ]
  * Bump debian/compat to 9 and increase build-dependency to debhelper
    >= 9.20120909~.

  [ intrigeri ]
  * Import AppArmor profiles updates from upstream (Closes: #761663).
  * Fix short BSD license name in debian/copyright.

 -- intrigeri <intrigeri@debian.org>  Mon, 15 Sep 2014 20:13:26 -0700

torbrowser-launcher (0.1.4-1) unstable; urgency=high

  [ Ulrike Uhlig ]
  * New upstream version.
    - take into account URL change for downloading TBB

 -- Ulrike Uhlig <u@451f.org>  Tue, 02 Sep 2014 09:20:39 +0200

torbrowser-launcher (0.1.3-1) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * New upstream version. (Closes: #757627)
  * debian/control:
    - Update package description to correctly indicate the places
      where TBB is downloaded to (Closes: #756928).

  [ Holger Levsen ]
  * debian/examples/README: explain why AppArmor is awesome, mention Tails
    too.

 -- Ulrike Uhlig <u@451f.org>  Mon, 11 Aug 2014 18:47:03 +0200

## torbrowser-launcher 0.1.9

=== debian/changelog ===
torbrowser-launcher (0.1.9-1+deb8u3) jessie; urgency=medium

  * Add these patches backported from 0.2.3-1 and 0.2.4-1:
    - 0011-Fix-issue-with-detecting-language-fixes-220.patch
      to fix issue with detecting language (Closes: #753173)
    - 0012-Fail-to-launch-Tor-Browser-if-its-version-is-earlier.patch
    - 0012a-Remove-certificate-pinning--github-issue-224.patch 
      to avoid issues with upcoming certificate change, thus the minimum
      Tor Browser version was hard-coded in the release (Closes: #811499)
      For more info on patch 0012 and 0012a see
      https://github.com/micahflee/torbrowser-launcher/issues/229
    - 0013-Prevent-signature-verification-attack-by-passing-bot.patch
      fixing CVE-2016-3180, for more info see
      https://github.com/micahflee/torbrowser-launcher/issues/229
    - 0014-Prevent-attempts-at-directory-traversal-attacks-even.patch
      This is an improvement for patch 0012.
    - 0099-Bump-version-to-0.1.9-deb8u3.patch to bump version to 0.1.9+deb8u3
      in share/torbrowser-launcher/version.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Mar 2016 01:33:03 -0400

torbrowser-launcher (0.1.9-1+deb8u2) jessie; urgency=medium

  * Dedicated to the memory of Ian Murdock.
    Thank you very much for starting and shaping Debian, Ian! The world would
    be very different today without your work and you will never be forgotten.
  * Add debian/patches/series file so that the patches from 0.1.9-1+deb8u1 are
    actually applied.
    - Apply 3d9f4ed and 5f833d7 from 0.2.0 upstream release to deal with
      changed pathes in the 4.5 torbrowser release. (Closes: #784041)
    - 3d9f4ed also removes the accept links feature (as it has stopped worked
      with 4.5.)
    - Apply f219f35 from 0.2.0 to stop acting as default browser, because a
      default browser should be captable of accepting links.
  * Refresh those patches so they apply cleanly.
  * Cherry-picks from 0.2.2:
    - 39901c6 Stop confining start-tor-browser script with AppArmor, and
      fix profiles to work with TBB 4.5+ (#181)
    - Set usr.bin.torbrowser-launcher AppArmor profiles to complain mode to
      make it work again (based on 70c750e).
    - e07beac Get stable version using torbrowser updater xml.
      (Closes: #804184)
    - ab141ee Stop using sha256sums.txt and sha256sums.txt.asc (fixes #180),
      (includes 7829f3e cleanup commit.)
    - 1ff1055 Force download URLs to be strings and not unicode (#205).
    - 94d184a Only convert unicode URLs to strings if they are actually
      unicode (#205). (Closes: #805078)

 -- Holger Levsen <holger@debian.org>  Sat, 16 Jan 2016 13:53:39 +0100

torbrowser-launcher (0.1.9-1+deb8u1) jessie; urgency=high

  * Apply 3d9f4ed and 5f833d7 from 0.2.0 upstream release to deal with changed
    pathes in the 4.5 torbrowser release. (Closes: #784041)
  * 3d9f4ed also removes the accept links feature (as it has stopped worked
    with 4.5.)
  * Apply f219f35 from 0.2.0 to stop acting as default browser, because a
    default browser should be captable of accepting links.

 -- Holger Levsen <holger@debian.org>  Sat, 30 May 2015 15:27:02 +0200

torbrowser-launcher (0.1.9-1) unstable; urgency=medium

  * New upstream version, which adds an option to disable accepting links, to
    workaround an issue affecting users running both Firefox and Tor Browser.

 -- Holger Levsen <holger@debian.org>  Wed, 04 Feb 2015 22:55:39 +0100

torbrowser-launcher (0.1.8-1) unstable; urgency=medium

  * New upstream version:
    * featuring new signing key. (Closes: #775871)
    * handle new TBB alpha and beta versioning. (Closes: #775891)

 -- Ulrike Uhlig <u@451f.org>  Tue, 20 Jan 2015 23:30:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
  Holger Levsen <holger@debian.org>
 Section: contrib/python
 Priority: optional
-Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 7.4.3), dh-apparmor
-Standards-Version: 3.9.5
+Build-Depends: python-all (>= 2.7.3-4), debhelper (>= 9.20120909~), dh-apparmor, lsb-release
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.6
 Homepage: https://micahflee.com/torbrowser-launcher/
 Vcs-Git: git://anonscm.debian.org/collab-maint/torbrowser-launcher.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/torbrowser-launcher.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/torbrowser-launcher.git
 
 Package: torbrowser-launcher
 Architecture: i386 amd64
@@ -23,10 +24,14 @@
  operating system's menu.
  .
  When you first launch Tor Browser Launcher, it will download TBB from
- https://www.torproject.org/ and extract it in ~/.torbrowser, and then execute
- it. Each subsequent execution after installation will simply launch the most
- recent TBB.  Tor Browser will be fetched, verified and unpacked each time a new
+ https://www.torproject.org/ and extract it to ~/.local/share/torbrowser,
+ and then execute it.
+ Cache and configuration files will be stored in ~/.cache/torbrowser and
+ ~/.config/torbrowser.
+ Each subsequent execution after installation will simply launch the most
+ recent TBB. Tor Browser will be fetched, verified and unpacked each time a new
  version of TBB is released. When you open Tor Browser Launcher after an update,
  it will download the newer version of TBB for you and extract it over your old
- TBB directory in ~/.torbrowser, so you will maintain your TBB bookmarks.
+ TBB directory in ~/.local/share/torbrowser, so you will maintain your TBB
+ bookmarks.
  .

## torbrowser-launcher 0.2.0

=== debian/changelog ===
torbrowser-launcher (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * AppArmor-allow-Tor-Browser-to-use-shared-libraries-s.patch: new patch,
    that extends the torbrowser.Browser.firefox AppArmor profile so that
    Tor Browser 4.5 and 5.0 can run.
  * debian/copyright: don't include the Expat license's text twice.
  * Include-local-overrides-file-in-AppArmor-profiles.-C.patch: new patch,
    to include local overrides file in AppArmor profiles. (Closes: #751451)
  * Set-torbrowser.start-tor-browser-and-usr.bin.torbrow.patch: new patch,
    that sets the torbrowser.start-tor-browser and usr.bin.torbrowser-launcher
    AppArmor profiles to complain mode.

 -- intrigeri <intrigeri@debian.org>  Wed, 12 Aug 2015 10:42:50 +0200

torbrowser-launcher (0.2.0-1) unstable; urgency=medium
 
  * New upstream version. (Closes: #784041)

 -- Ulrike Uhlig <u@451f.org>  Thu, 14 May 2015 22:18:10 +0200

## torbrowser-launcher 0.2.1

=== debian/changelog ===
torbrowser-launcher (0.2.1-2) unstable; urgency=high

  [ intrigeri ]
  * Re-apply changes from 0.2.0-2, that were dropped by the 0.2.1-1 upload.
  * Add debian/gbp.conf to automated selection of the packaging branch.
  * Drop AppArmor-allow-Tor-Browser-to-use-shared-libraries-s.patch:
    applied upstream.
  * Refresh patches.

  [ Ximin Luo ]
  * Hand over package to pkg-privacy team.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Nov 2015 23:13:29 +0100

torbrowser-launcher (0.2.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #804184, #804274, #804394)

 -- Holger Levsen <holger@debian.org>  Fri, 13 Nov 2015 18:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: torbrowser-launcher
-Maintainer: Anonymity Tools Debian Maintainers <pkg-anonymity-tools@lists.alioth.debian.org>
+Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: Jacob Appelbaum <jacob@appelbaum.net>,
  Ulrike Uhlig <u@451f.org>,
  Holger Levsen <holger@debian.org>
@@ -9,8 +9,8 @@
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.6
 Homepage: https://micahflee.com/torbrowser-launcher/
-Vcs-Git: git://anonscm.debian.org/collab-maint/torbrowser-launcher.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/torbrowser-launcher.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/torbrowser-launcher.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/torbrowser-launcher.git
 
 Package: torbrowser-launcher
 Architecture: i386 amd64

## torbrowser-launcher 0.2.2

=== debian/changelog ===
torbrowser-launcher (0.2.2-3) sid; urgency=medium

  * Update package description, stop mentioning the removed upgrade feature.
    (Closes: #812664)
  * Add debian/patches/0003-fix-apparmor-profile-to-support-self-upgrade.patch
    to do just that. Thanks to intrigeri for providing these rules.
    (Closes: #808140)
  * Add ca-certificates as depends. (Closes: #805173)
  * Turn the dependency on tor into a Recommends. (Closes: #795240)
  * Add dh-python to build-depends.
  * Move to section contrib/web, thanks lintian!
  * Override lintian's pedantic debian-watch-may-check-gpg-signature warning.

 -- Holger Levsen <holger@debian.org>  Mon, 01 Feb 2016 13:59:50 +0100

torbrowser-launcher (0.2.2-2) sid; urgency=medium

  * Upload to sid.

 -- Holger Levsen <holger@debian.org>  Thu, 19 Nov 2015 18:41:15 +0100

torbrowser-launcher (0.2.2-1) experimental; urgency=medium

  * New upstream version. (Closes: #805078)

 -- Holger Levsen <holger@debian.org>  Fri, 13 Nov 2015 18:50:18 +0100

=== debian/control ===
Source: torbrowser-launcher
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Jacob Appelbaum <jacob@appelbaum.net>,
 Ulrike Uhlig <u@451f.org>,
 Holger Levsen <holger@debian.org>
Section: contrib/web
Priority: optional
Build-Depends: python-all (>= 2.7.3-4), debhelper (>= 9.20120909~), dh-python, dh-apparmor, lsb-release
X-Python-Version: >= 2.7
Standards-Version: 3.9.6
Homepage: https://micahflee.com/torbrowser-launcher/
Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/torbrowser-launcher.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/torbrowser-launcher.git

Package: torbrowser-launcher
Architecture: i386 amd64
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2, python-psutil, python-twisted, python-lzma, gnupg, wmctrl, python-txsocksx (>= 1.13.0.1), python-parsley (>= 1.2), ca-certificates
Recommends: tor
Suggests: apparmor, python-pygame
Description: helps download and run the Tor Browser Bundle
 Tor Browser Launcher is intended to make the Tor Browser Bundle (TBB) easier
 to maintain and use for GNU/Linux users. torbrowser-launcher handles
 downloading the most recent version of TBB for you, in your language and for
 your architecture. It also adds a "Tor Browser" application launcher to your
 operating system's menu.
 .
 When you first launch Tor Browser Launcher, it will download TBB from
 https://www.torproject.org/ and extract it to ~/.local/share/torbrowser,
 and then execute it.
 Cache and configuration files will be stored in ~/.cache/torbrowser and
 ~/.config/torbrowser.
 Each subsequent execution after installation will simply launch the most
 recent TBB, which is updated using Tor Browser's own update feature.
 .

## torbrowser-launcher 0.2.3

=== debian/changelog ===
torbrowser-launcher (0.2.3-1) unstable; urgency=medium

  * New upstream version. Drop all debian/patches. Quoting from upstream
    CHANGELOG.md:
    - Removed certificate pinning to https://www.torproject.org to avoid issues
      with upcoming certificate change, and hard-coded minimum Tor Browser
      version in the release (Closes: #811499)
    - Fix issue with detecting language (Closes: #753173)
    - Make Tor SOCKS5 proxy configurable, for users not running on 9050
     (Closes: #797339, #797337)
    - Improved AppArmor profiles
    - Added Russian translation
    - Switched from xpm icons to png icons (Closes: #802013)
    - Changed "Exit" button to "Cancel" button (Closes: #796216)
    - New package description (inspired by #812664)
  * debian/control:
    - Bump standards version to 3.9.7, no changes needed.
    - Use /git/ not /cgit/ in Vcs-* headers.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Mar 2016 16:23:04 +0100

## torbrowser-launcher 0.2.4

=== debian/changelog ===
torbrowser-launcher (0.2.4-1) unstable; urgency=high

  * New upstream version which prevents a signature verification attack, see
    https://github.com/micahflee/torbrowser-launcher/issues/229 for more info.
  * Fix AppArmor profile to allow self upgrades. Thanks intrigeri for the
    patch! (Closes: #817267)

 -- Holger Levsen <holger@debian.org>  Tue, 15 Mar 2016 20:54:23 -0400

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Priority: optional
 Build-Depends: python-all (>= 2.7.3-4), debhelper (>= 9.20120909~), dh-python, dh-apparmor, lsb-release
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://micahflee.com/torbrowser-launcher/
 Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/torbrowser-launcher.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/torbrowser-launcher.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-privacy/packages/torbrowser-launcher.git
 
 Package: torbrowser-launcher
 Architecture: i386 amd64

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Thu, 02 Jan 2014 16:09:33 -0800

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	for PROFILE in usr.bin.torbrowser-launcher torbrowser.Tor.tor torbrowser.start-tor-browser torbrowser.Browser.firefox ; do \
		cp apparmor/$$PROFILE debian/torbrowser-launcher/etc/apparmor.d/ ; \
		dh_apparmor --profile-name=$$PROFILE -ptorbrowser-launcher ; \
	done

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/torbrowser-launcher-$1\.tar\.gz/ \
  https://github.com/micahflee/torbrowser-launcher/tags .*/v?(\d\S*)\.tar\.gz

## torbrowser-launcher 0.2.6

=== debian/changelog ===
torbrowser-launcher (0.2.6-1) unstable; urgency=medium

  * New upstream version.

 -- Holger Levsen <holger@debian.org>  Sat, 23 Jul 2016 13:03:12 -0400

torbrowser-launcher (0.2.5-1) unstable; urgency=medium

  [Ulrike Uhlig]
  * New upstream version. (Closes: #803171)
  * debian/gbp.conf: Make it clear that we don't use pristine-tar anymore.

  [Holger Levsen]
  * Drop patch which has been applied upstream:
    - 0001-AppArmor-try-to-fix-Tor-Browser-upgrade-again.patch
  * Bump standards version to 3.9.8, no changes needed.
  * Remove obsolete conffile /etc/apparmor.d/torbrowser.start-tor-browser
    thanks to Paul Wise. (Closes: #805706)
  * debian/rules: don't try to installed removed file apparmor profile
    torbrowser.start-tor-browser.

 -- Ulrike Uhlig <u@451f.org>  Sat, 09 Jul 2016 10:00:43 +0200

torbrowser-launcher (0.2.4-2) unstable; urgency=medium

  * Remove Jacob from uploaders. Believe victims.

 -- Holger Levsen <holger@debian.org>  Thu, 16 Jun 2016 01:23:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: torbrowser-launcher
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Jacob Appelbaum <jacob@appelbaum.net>,
- Ulrike Uhlig <u@451f.org>,
+Uploaders: Ulrike Uhlig <u@451f.org>,
  Holger Levsen <holger@debian.org>
 Section: contrib/web
 Priority: optional
 Build-Depends: python-all (>= 2.7.3-4), debhelper (>= 9.20120909~), dh-python, dh-apparmor, lsb-release
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://micahflee.com/torbrowser-launcher/
 Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/torbrowser-launcher.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-privacy/packages/torbrowser-launcher.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	for PROFILE in usr.bin.torbrowser-launcher torbrowser.Tor.tor torbrowser.Browser.firefox ; do \
		cp apparmor/$$PROFILE debian/torbrowser-launcher/etc/apparmor.d/ ; \
		dh_apparmor --profile-name=$$PROFILE -ptorbrowser-launcher ; \
	done

## torbrowser-launcher 0.2.7

=== debian/changelog ===
torbrowser-launcher (0.2.7-2) unstable; urgency=medium

  * New upstream version.
    - Updated Tor Browser signing key because they added a new
      subkey and verification was failing.
    - Updated AppArmor profile (Closes: #852732).
    - Improved localization. Added Russian.
  * debian/patches:
    - Delete cherry-picked AppArmor patches.
  * debian/rules:
    - Clean binary mo files.
  * debian/copyright:
    - Bump years.

 -- Ulrike Uhlig <u@451f.org>  Wed, 19 Apr 2017 18:30:32 +0200

torbrowser-launcher (0.2.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
    * debian/patches/update-tor-signing-key.patch:
   - Updates the signing key to include the new subkey. (Closes: #852732)

 -- Iain R. Learmonth <irl@debian.org>  Tue, 07 Mar 2017 23:18:36 +0000

torbrowser-launcher (0.2.6-3) unstable; urgency=medium

  * Team upload.

  [ Ulrike Uhlig ]
  * AppArmor-don-t-prevent-Tor-from-starting.patch: new patch,
    cherry-picked from upstream (Closes: #835479).

  [ intrigeri ]
  * AppArmor-support-merged-usr-systems.patch: new patch cherry-picked
    from upstream, adding support for merged-/usr systems
    in the AppArmor profiles.

 -- intrigeri <intrigeri@debian.org>  Sat, 17 Dec 2016 14:18:04 +0000

torbrowser-launcher (0.2.6-2) unstable; urgency=medium

  * Remove myself from uploaders.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Sep 2016 12:34:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: torbrowser-launcher
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Ulrike Uhlig <u@451f.org>,
- Holger Levsen <holger@debian.org>
+Uploaders: Ulrike Uhlig <u@451f.org>
 Section: contrib/web
 Priority: optional
 Build-Depends: python-all (>= 2.7.3-4), debhelper (>= 9.20120909~), dh-python, dh-apparmor, lsb-release

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 		cp apparmor/$$PROFILE debian/torbrowser-launcher/etc/apparmor.d/ ; \
 		dh_apparmor --profile-name=$$PROFILE -ptorbrowser-launcher ; \
 	done
+
+override_dh_clean:
+	rm -rf share/locale/

## torbrowser-launcher 0.2.8

=== debian/changelog ===
torbrowser-launcher (0.2.8-6) unstable; urgency=medium

  * debian/rules:
    - Clean up all built files during dh_clean. This makes
      dpkg-buildpackage be able to run again. Thanks to
      Andreas Beckmann for the bugreport. (Closes: #884419)
  * debian/control:
    - Add myself as uploader.
    - Add libdbus-glib-1-2 as dependency (Closes: #862799).

 -- Roger Shimizu <rosh@debian.org>  Wed, 03 Jan 2018 12:38:32 +0900

torbrowser-launcher (0.2.8-5~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 19 Nov 2017 10:56:07 +0900

torbrowser-launcher (0.2.8-5~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 19 Nov 2017 10:54:53 +0900

torbrowser-launcher (0.2.8-5) unstable; urgency=medium

  * Team upload.
  * Remove the torbrowser.start-tor-browser AppArmor profile conffile
    by bumping the buggy version that was initially passed to rm_conffile
    (Closes: #838817).

 -- intrigeri <intrigeri@debian.org>  Sun, 12 Nov 2017 11:35:10 +0000

torbrowser-launcher (0.2.8-4~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 04 Nov 2017 21:41:47 +0900

torbrowser-launcher (0.2.8-4~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 04 Nov 2017 21:29:33 +0900

torbrowser-launcher (0.2.8-4) unstable; urgency=medium

  * Team upload.
  * Stop shipping /etc/apparmor.d/usr.bin.torbrowser-launcher
    and clean it up with rm_conffile (Closes: #879776).
  * Add patches to make torbrowser-launcher work with AppArmor enabled
    on Linux 4.14 (Closes: #879830).

 -- intrigeri <intrigeri@debian.org>  Thu, 26 Oct 2017 11:38:13 +0000

torbrowser-launcher (0.2.8-3~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 06 Oct 2017 00:33:20 +0900

torbrowser-launcher (0.2.8-3~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 06 Oct 2017 00:30:31 +0900

torbrowser-launcher (0.2.8-3) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Add patch to update mirror list.
    - Add patch of apparmor config to allow the tor process to modify
      its data directory. Originally reported by Chris Lamb #876484.
      Kudos to intrigeri for the patch.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 29 Sep 2017 23:23:47 +0900

torbrowser-launcher (0.2.8-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - wrap and sort
    - Add help2man to Build-Depends.
  * debian/rules and debian/help2man:
    - Add script to build manpage automatically.
  * Remove debian/torbrowser-launcher.1
  * debian/patches:
    - Add a patch to support sysvinit systems for AppArmor.
      Thanks to intrigeri and gregor herrmann. (Closes: #874383)

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 20 Sep 2017 22:31:34 +0900

torbrowser-launcher (0.2.8-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 11 Sep 2017 08:54:21 +0900

torbrowser-launcher (0.2.8-1~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 11 Sep 2017 08:46:27 +0900

torbrowser-launcher (0.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream 0.2.8

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 05 Sep 2017 01:28:16 +0900

torbrowser-launcher (0.2.7-3~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 04 Sep 2017 23:20:05 +0900

torbrowser-launcher (0.2.7-3~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 29 Aug 2017 00:33:34 +0900

torbrowser-launcher (0.2.7-3) unstable; urgency=medium

  * debian/control:
    - remove dependendency on wmctrl. (Closes: #867019)
    - change maintainer email address.

 -- Ulrike Uhlig <ulrike@debian.org>  Mon, 10 Jul 2017 08:55:10 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	for PROFILE in torbrowser.Tor.tor torbrowser.Browser.firefox ; do \
		cp apparmor/$$PROFILE debian/torbrowser-launcher/etc/apparmor.d/ ; \
		dh_apparmor --profile-name=$$PROFILE -ptorbrowser-launcher ; \
	done
	rm debian/torbrowser-launcher/etc/apparmor.d/usr.bin.torbrowser-launcher
	help2man -N -n "helps download and run the Tor Browser Bundle" \
		--version-string="$(DEB_VERSION)" \
		-o build/torbrowser-launcher.1 debian/help2man/torbrowser-launcher

override_dh_clean:
	rm -rf build share/locale
	dh_clean

## torbrowser-launcher 0.2.9

=== requirements.txt ===
# the hashes in this requirements file can be used by peep.

# sha256: UNMM7nB3D9RNt86kIcsvt1ryR8OhzVSIXAazCnyF3SM
Parsley==1.2

# sha256: 9OuUqrPqnuzznO9G6Ht0J2XPDBnb5UT8XKIh5wBqdQ8
txsocksx==1.13.0.1

# sha256: vf2WGsIhb1xlsH8sOl5RFvZxO4wc8HbEABDGSBDSaWM
Twisted==14.0.0

# sha256: kcunt818uC9vTgI_53-U3D30rlKH_VXe8hSNwjLQx9o
zope.interface==4.1.1

# Note: PyGObject is also required, but it is not installable using pip. To
# install torbrowser-launcher in a virtualenv, you'll need to create the
# virtualenv with --system-site-packages and install PyGObject somehow. On
# Debian you can get it from the python-gobject-2 package.

=== debian/changelog ===
torbrowser-launcher (0.2.9-2ubuntu1) bionic; urgency=medium

  * This is a stable release update to address issues with Tor Browser
    install verification.
  * Patches added to d/patches:
    - 0023-Update-Tor-Browser-Developers-public-key-481.patch: Fixes issue 
      with signature verification of tor browser tarball, due to changed
      upstream develoeprs key. (LP: #1856895)
    - 0031-Use-better-version-string-comparison.patch: Properly handle the 
      version string comparison between Tor Browser versions, so that the 
      launcher supports version 10+ and can properly validate.
      (LP: #1896752)

 -- Thomas Ward <teward@ubuntu.com>  Mon, 12 Oct 2020 09:45:44 -0400

torbrowser-launcher (0.2.9-2) unstable; urgency=medium

  * debian/patches:
    - Add AppArmor profiles, 2018-01 edition. Thanks to intrigeri.
      Some breakdown of the patches:
      + Make e10s work fine especially with a Linux 4.14 kernel
      + Silencing all the denial logs I could observe
      + Support for obfs4 and obfs3
      + Various updates, refactoring and clean-ups
    - Add a local patch to fix FTBFS:
      Remove apparmor local path from setup.py

 -- Roger Shimizu <rosh@debian.org>  Tue, 27 Mar 2018 22:10:49 +0900

torbrowser-launcher (0.2.9-1) unstable; urgency=medium

  * New upstream release 0.2.9 (Closes: #888236)
  * debian/watch:
    - Change filenamemangle to match with the filename in archive.
  * debian/patches:
    - Remove all upstreamed patches.
  * debian/rules:
    - Add new apparmor profile: torbrowser.Browser.plugin-container.

 -- Roger Shimizu <rosh@debian.org>  Mon, 29 Jan 2018 23:17:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,16 @@
 Source: torbrowser-launcher
-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Ulrike Uhlig <u@451f.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
+Uploaders: Ulrike Uhlig <ulrike@debian.org>, Roger Shimizu <rosh@debian.org>
 Section: contrib/web
 Priority: optional
-Build-Depends: python-all (>= 2.7.3-4), debhelper (>= 9.20120909~), dh-python, dh-apparmor, lsb-release
+Build-Depends:
+ debhelper (>= 9.20120909~),
+ dh-apparmor,
+ dh-python,
+ help2man,
+ lsb-release,
+ python-all (>= 2.7.3-4)
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.8
 Homepage: https://micahflee.com/torbrowser-launcher/
@@ -12,7 +19,18 @@
 
 Package: torbrowser-launcher
 Architecture: i386 amd64
-Depends: ${misc:Depends}, ${python:Depends}, python-gtk2, python-psutil, python-twisted, python-lzma, gnupg, wmctrl, python-txsocksx (>= 1.13.0.1), python-parsley (>= 1.2), ca-certificates
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+ ca-certificates,
+ gnupg,
+ libdbus-glib-1-2,
+ python-gtk2,
+ python-lzma,
+ python-parsley (>= 1.2),
+ python-psutil,
+ python-twisted,
+ python-txsocksx (>= 1.13.0.1)
 Recommends: tor
 Suggests: apparmor, python-pygame
 Description: helps download and run the Tor Browser Bundle

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	for PROFILE in torbrowser.Tor.tor torbrowser.Browser.firefox \
		torbrowser.Browser.plugin-container ; do \
		cp apparmor/$$PROFILE debian/torbrowser-launcher/etc/apparmor.d/ ; \
		dh_apparmor --profile-name=$$PROFILE -ptorbrowser-launcher ; \
	done
	help2man -N -n "helps download and run the Tor Browser Bundle" \
		--version-string="$(DEB_VERSION)" \
		-o build/torbrowser-launcher.1 debian/help2man/torbrowser-launcher

override_dh_clean:
	rm -rf build share/locale
	dh_clean

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/torbrowser-launcher_$1\.orig\.tar\.gz/ \
  https://github.com/micahflee/torbrowser-launcher/tags .*/v?(\d\S*)\.tar\.gz

## torbrowser-launcher 0.3.1

=== debian/changelog ===
torbrowser-launcher (0.3.1-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 23 Feb 2019 14:02:16 -0800

torbrowser-launcher (0.3.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Sat, 17 Nov 2018 19:55:11 +0900

torbrowser-launcher (0.3.1-2) unstable; urgency=medium

  * debian/control:
    - Remove Suggests for python-pygame, which was related to modem
      sound (Closes: #912490, #913151).
  * debian/patches:
    - Add translation patches from pull-request of upstream: hu, da,
      and sv.
    - Add patch 0008 to remove mention of modem sound in docs and
      translation po files. Thanks to Paul Wise for the information.
    - Cherry-pick 2 new appamor patch from pull-request of upstream:
      [1b2e6aa] AppArmor: allow Web Content processes to check
                the update status.
      [3cd8aeb] AppArmor: allow Web Content processes to read
                profile.ini and the updates' "updater" file.
      Thanks to intrigeri for the patches, and Diederik de Haas
      & Shirish Agarwal for the bug report (Closes: #910827, #913366).
    - Revert [b828bdf] to fix detecting system locale (Closes: #753173).

 -- Roger Shimizu <rosh@debian.org>  Sat, 17 Nov 2018 19:15:20 +0900

torbrowser-launcher (0.3.1-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Tue, 06 Nov 2018 22:35:54 +0900

torbrowser-launcher (0.3.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Tue, 06 Nov 2018 22:31:07 +0900

torbrowser-launcher (0.3.1-1) unstable; urgency=low

  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Thu, 01 Nov 2018 00:46:54 +0900

torbrowser-launcher (0.3.1-1~exp1) experimental; urgency=medium

  * New upstream release 0.3.1
    - Ship with latest version of the Tor Browser Developers
      OpenPGP public key
    - Fix bug where TBL window stays open after Tor Browser
      is launched
  * debian/patches:
    - Remove 0004 patch which is already merged upstream.

 -- Roger Shimizu <rosh@debian.org>  Sun, 28 Oct 2018 02:27:31 +0900

torbrowser-launcher (0.3.0-1~exp2) experimental; urgency=medium

  * debian/copyright:
    - Add comment section to explain why this is contrib package,
      which comforts lintian.
  * debian/patches:
    - Cherry-pick upstream patch to update Tor Browser Developers
      public key.

 -- Roger Shimizu <rosh@debian.org>  Sun, 30 Sep 2018 10:20:22 +0900

torbrowser-launcher (0.3.0-1~exp1) experimental; urgency=medium

  * New upstream release 0.3.0
    - Switched from python2 to python3
    - Switched from gtk2 to Qt5
    - Switched from twisted to requests/socks
    - Use QThreads for async
    - Removed modem sound
    - Only refresh gpg keyring on verification error, instead of every time
    - Updated AppArmor profiles
    - Updated available languages, and fixed locale detection bug
    - Fixed false signature verification error related to twisted
  * debian/patches:
    - Refresh patches.
    - Remove upstreamed patches.
  * debian/control:
    - Remove XS-Python-Version and XB-Python-Version, since lintian says
      it's not necessary.

 -- Roger Shimizu <rosh@debian.org>  Wed, 19 Sep 2018 23:06:56 +0900

torbrowser-launcher (0.3.0~dev-1~exp4) experimental; urgency=medium

  * debian/patches:
    - Refresh patches.
    - Cherry-pick 5 upstream patches to fix appamor profile for
      Tor Browser 8.0
  * debian/control:
    - Rename tag X-Python-Version to XS-Python-Version.
    - Add XB-Python-Version tag for binary package.
  * debian/torbrowser-launcher.maintscript:
    - rm_conffile appamor profile /etc/apparmor.d/local/*, which was
      removed since 0.2.9-2. Thanks to gregor herrmann for the fix.

 -- Roger Shimizu <rosh@debian.org>  Tue, 18 Sep 2018 22:42:28 +0900

torbrowser-launcher (0.3.0~dev-1~exp3) experimental; urgency=medium

  * Merge debian/sid branch to incorporate latest changes.
  * debian/control:
    - Amend Vcs-* a bit to specify debian/sid branch as default.

 -- Roger Shimizu <rosh@debian.org>  Mon, 25 Jun 2018 02:21:12 +0900

torbrowser-launcher (0.3.0~dev-1~exp2) experimental; urgency=medium

  * debian/rules:
    - Skip the test since it fails under python 3.6

 -- Roger Shimizu <rosh@debian.org>  Wed, 28 Mar 2018 21:45:45 +0900

torbrowser-launcher (0.3.0~dev-1~exp1) experimental; urgency=medium

  * New upstream release 0.3.0.dev in develop branch
    - Switch from python2 to python3
    - Switch from gtk2 to Qt5 (Closes: #885489)
    - Switch from twisted to requests/socks
    - Use QThreads for async, and now download, verify, and extract
      in separate threads too
    - Remove modem sound
    - Stopped refreshing the gpg keyring each time, and instead only
      refresh it when you hit a verification error (and then try
      verifying again before actually displaying the error)
    - On verification error, it saves a copy of the tarball and sig
      that failed to verify
    - Improved python style with flake8
  * debian/patches:
    - Refresh patches.
    - Add patch 0017 and 0018 to fix the extra dialog issue.
  * debian/control:
    - Update Build-Depends list to python3 series.
    - Update Depends list to match current python3 implementation.
    - Move debian/source.lintian-overrides
      to debian/source/lintian-overrides to comfort lintian.
  * debian/rules:
    - Use pybuild as buildsystem to avoid pyversions command error.

 -- Roger Shimizu <rosh@debian.org>  Wed, 28 Mar 2018 20:15:00 +0900

torbrowser-launcher (0.2.9-6~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Sat, 29 Sep 2018 13:23:42 +0900

torbrowser-launcher (0.2.9-6~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.



=== debian/control ===
Source: torbrowser-launcher
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Roger Shimizu <rosh@debian.org>
Section: contrib/web
Priority: optional
Build-Depends:
 debhelper (>= 9.20120909~),
 dh-apparmor,
 dh-python,
 help2man,
 lsb-release,
 python3-all
Standards-Version: 3.9.8
Homepage: https://micahflee.com/torbrowser-launcher/
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/torbrowser-launcher.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/torbrowser-launcher

Package: torbrowser-launcher
Architecture: i386 amd64
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ca-certificates,
 libdbus-glib-1-2,
 python3-pyqt5,
 python3-gpg,
 python3-requests,
 python3-socks,
 tor
Suggests: apparmor
Description: helps download and run the Tor Browser Bundle
 Tor Browser Launcher is intended to make the Tor Browser Bundle (TBB) easier
 to maintain and use for GNU/Linux users. torbrowser-launcher handles
 downloading the most recent version of TBB for you, in your language and for
 your architecture. It also adds a "Tor Browser" application launcher to your
 operating system's menu.
 .
 When you first launch Tor Browser Launcher, it will download TBB from
 https://www.torproject.org/ and extract it to ~/.local/share/torbrowser,
 and then execute it.
 Cache and configuration files will be stored in ~/.cache/torbrowser and
 ~/.config/torbrowser.
 Each subsequent execution after installation will simply launch the most
 recent TBB, which is updated using Tor Browser's own update feature.
 .
